# Asterisk Project : Asterisk 12 Application_AgentLogin

Added by wikibot , edited by wikibot on Aug 29, 2013

# AgentLogin()

### Synopsis

Login an agent.

### Description

Login an agent to the system. Any agent authentication is assumed to already be done by dialplan. While logged in, the agent can receive calls and will hear the sound file specified by the config option custom_beep when a new call comes in for the agent. Login failures will continue in the dialplan with `AGENT_STATUS` set.

Before logging in, you can setup on the real agent channel the CHANNEL(dtmf-features) an agent will have when talking to a caller and you can setup on the channel running this application the CONNECTEDLINE() information the agent will see while waiting for a caller.

AGENT_STATUS enumeration values:

- `INVALID` - The specified agent is invalid.
- `ALREADY_LOGGED_IN` - The agent is already logged in.

  Note

  Icon

  The Agents:AgentId device state is available to monitor the status of the agent.

### Syntax

    AgentLogin(AgentId,options)

##### Arguments

- `AgentId`
- `options`
  - `s` - silent login - do not announce the login ok segment after agent logged on.

### See Also

- Asterisk 12 Application_Authenticate
- Asterisk 12 Application_Queue
- Asterisk 12 Application_AddQueueMember
- Asterisk 12 Application_RemoveQueueMember
- Asterisk 12 Application_PauseQueueMember
- Asterisk 12 Application_UnpauseQueueMember
- Asterisk 12 Function_AGENT
- Asterisk 12 Function_CHANNEL(dtmf-features)
- Asterisk 12 Function_CONNECTEDLINE()
- `agents.conf`
- `queues.conf`

### Import Version

This documentation was imported from Asterisk Version Unknown